import { Entity, Column, ManyToOne, PrimaryGeneratedColumn } from 'typeorm';
import { IsNotEmpty, IsNumber, IsString } from 'class-validator';

export class CreateSongDto {
  @Column({ unique: true })
  @IsString()
  @IsNotEmpty()
  title: string;

  @Column()
  @IsNumber()
  duration: number;

  @Column()
  @IsNumber()
  trackNumber: number;

  @Column()
  @IsNumber()
  albumId: number;
}
